'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Menu item for navigation menu
 * @param {*} props
 */
function SideNavMenuItem(props) {
  var active = props.active,
      image = props.image,
      className = props.className,
      children = props.children,
      rest = _objectWithoutProperties(props, ['active', 'image', 'className', 'children']);

  var iconClasses = (0, _classnames2.default)('icon_container', 'icon_container--' + (active ? 'active' : 'inactive'));
  return _react2.default.createElement(
    'li',
    _extends({ className: (0, _classnames2.default)('side-nav__item', className) }, rest),
    active ? _react2.default.createElement('div', { className: 'side-nav_border--active' }) : null,
    _react2.default.createElement(
      'div',
      { className: iconClasses },
      image ? _react2.default.createElement('img', { src: image }) : null,
      children
    )
  );
}

SideNavMenuItem.defaultProps = {
  active: false,
  image: ''
};

SideNavMenuItem.propTypes = {
  active: _propTypes2.default.bool,
  /** image URI */
  image: _propTypes2.default.string
};

exports.default = SideNavMenuItem;
//# sourceMappingURL=SideNavMenuItem.js.map